- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::GUI::Events::CDropEvent Class Reference

List of all members.

## Detailed Description

Allows for responding to drop file actions.

Date:
  19/03/2005

Author:
  Paul Chana

Version:
  1.0.0 Initial version

Note:
  All contents of this source code are copyright 2005 Exp Digital Uk.
  This source file is covered by the licence conditions of the Infinity API. You should have recieved a copy
  with the source code. If you didnt, please refer to http://www.expdigital.co.uk All content is the Intellectual property of Exp Digital Uk.
  Certain sections of this code may come from other sources. They are credited where applicable.
  If you have comments, suggestions or bug reports please visit http://support.expdigital.co.uk

Id
  CDropEvent.hpp,v 1.3 2007/02/08 21:07:54 paul Exp

Definition at line 39 of file CDropEvent.hpp.

## Public Member Functions

- CDropEvent (const CPoint &position)
- const CPoint & getDropFilePosition () const
- TStringCountedPointerArray * getDroppedFileNames () const
- CDropEvent & operator= (const CDropEvent &event)
- void setDropFilePosition (const CPoint &position)
- virtual ~CDropEvent ()

## Protected Attributes

- TStringCountedPointerArray * m_droppedFiles
- CPoint m_position

## Constructor & Destructor Documentation

Exponent::GUI::Events::CDropEvent::CDropEvent | ( | const CPoint & | position | ) |

virtual Exponent::GUI::Events::CDropEvent::~CDropEvent | ( |  | ) | `[virtual]`

## Member Function Documentation

const CPoint& Exponent::GUI::Events::CDropEvent::getDropFilePosition | ( |  | ) | const

TStringCountedPointerArray* Exponent::GUI::Events::CDropEvent::getDroppedFileNames | ( |  | ) | const

CDropEvent& Exponent::GUI::Events::CDropEvent::operator= | ( | const CDropEvent & | event | ) |

void Exponent::GUI::Events::CDropEvent::setDropFilePosition | ( | const CPoint & | position | ) |

## Member Data Documentation

TStringCountedPointerArray* Exponent::GUI::Events::CDropEvent::m_droppedFiles`[protected]`

The names of the files tht have been dropped

Definition at line 77 of file CDropEvent.hpp.

CPoint Exponent::GUI::Events::CDropEvent::m_position`[protected]`

The position that they were dropped at

Definition at line 78 of file CDropEvent.hpp.